hpct-node-removal(1)

NAME
hpct-node-removal - Remove a HiPerConTracer Node

SYNOPSIS
hpct-node-removal NODE_ID
[-r | --remove-data]
hpct-node-removal [-h | --help]
hpct-node-removal [-v | --version]

DESCRIPTION
hpct-node-removal is the HiPerConTracer node removal script. It is run on the collector to remove a given node (i.e. delete the corresponding user).

ARGUMENTS
The following arguments may be provided:

NODE_ID
    Sets the node ID, a number from 1 to 9999.

-r | --remove-data
    Also remove the data of the node. Default: Keep the data.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The hpct-node-removal tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

hpct-node-removal 1000

hpct-node-removal 1

hpct-node-removal 2 --remove-data

hpct-node-removal 3 -r

hpct-node-removal --version

hpct-node-removal -h

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh